james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Lee (JIRA)" <server-...@james.apache.org>
Subject [jira] [Created] (JAMES-1855) Wrapper doesn't work on CentOS 7(64-bit)
Date Thu, 03 Nov 2016 05:37:58 GMT
Paul Lee created JAMES-1855:
-------------------------------

             Summary: Wrapper doesn't work on CentOS 7(64-bit)
                 Key: JAMES-1855
                 URL: https://issues.apache.org/jira/browse/JAMES-1855
             Project: James Server
          Issue Type: Bug
          Components: Deployment Modules
    Affects Versions: master
         Environment: CentOS Linux release 7.2.1511(64-bit)
            Reporter: Paul Lee


I tried to run './james start' on a CentOS 7 machine(64-bit), but it failed with the following
error message.
./james: ./wrapper-linux-x86-32: /lib/ld-linux.so.2: bad ELF interpreter: No such file or
directory.

It seems that the 32-bit version of the wrapper is also used on a 64-bit system. Anyway, it
should work even on 64-bit, but it failed. 
When I copied the 64-bit version of the wrapper(wrapper-linux-x86-64) to wrapper-linux-x86-32
and tried to run it again, it worked with no problem.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message